Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.core.query
Class OslcPrefixParser

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Parser
              org.eclipse.lyo.core.query.OslcPrefixParser

    public class OslcPrefixParser

extends org.antlr.runtime.Parser

Copyright (c) 2012 IBM Corporation. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0 which accompanies this distribution. The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse Distribution License is available at http://www.eclipse.org/org/documents/edl-v10.php. Contributors: Steve Pitchke - initial API and implementation

Nested Class Summary
`static class` | `OslcPrefixParser.oslc_prefixes_return`
`static class` | `OslcPrefixParser.prefix_binding_return`

Field Summary
`protected org.antlr.runtime.tree.TreeAdaptor` | `adaptor`
`static int` | `CLOSE_CURLY_BRACE`
`static int` | `COMMA`
`static int` | `DIGIT`
`static int` | `DOT`
`static int` | `EOF`
`static int` | `EOL`
`static org.antlr.runtime.BitSet` | `FOLLOW_21_in_prefix_binding113`
`static org.antlr.runtime.BitSet` | `FOLLOW_COMMA_in_oslc_prefixes79`
`static org.antlr.runtime.BitSet` | `FOLLOW_IRI_REF_in_prefix_binding115`
`static org.antlr.runtime.BitSet` | `FOLLOW_PN_PREFIX_in_prefix_binding111`
`static org.antlr.runtime.BitSet` | `FOLLOW_prefix_binding_in_oslc_prefixes75`
`static org.antlr.runtime.BitSet` | `FOLLOW_prefix_binding_in_oslc_prefixes81`
`static int` | `GREATER`
`static int` | `IRI_REF`
`static int` | `LESS`
`static int` | `MINUS`
`static int` | `OPEN_CURLY_BRACE`
`static int` | `PN_CHARS`
`static int` | `PN_CHARS_BASE`
`static int` | `PN_CHARS_U`
`static int` | `PN_PREFIX`
`static int` | `PREFIX`
`static int` | `PREFIX_LIST`
`static int` | `T__21`
`static String[]` | `tokenNames`
`static int` | `WS`

Fields inherited from class org.antlr.runtime.Parser
`input`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

Constructor Summary
`OslcPrefixParser(String prefixes)`
`OslcPrefixParser(org.antlr.runtime.TokenStream input)`
`OslcPrefixParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`

Method Summary
`void` | `displayRecognitionError(String[] tokenNames, org.antlr.runtime.RecognitionException e)`
`List<String>` | `getErrors()`
`String` | `getGrammarFileName()`
`String[]` | `getTokenNames()`
`org.antlr.runtime.tree.TreeAdaptor` | `getTreeAdaptor()`
`OslcPrefixParser.oslc_prefixes_return` | `oslc_prefixes()`
`OslcPrefixParser.prefix_binding_return` | `prefix_binding()`
`void` | `setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)`

Methods inherited from class org.antlr.runtime.Parser
`getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer
`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, emitErrorMessage, endResync, failed, getBacktrackingLevel, getErrorHeader, getErrorMessage, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, reportError, setBacktrackingLevel, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tokenNames

    public static final String[] tokenNames

### PREFIX

    public static final int PREFIX

See Also:
  Constant Field Values

### IRI_REF

    public static final int IRI_REF

See Also:
  Constant Field Values

### T__21

    public static final int T__21

See Also:
  Constant Field Values

### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### EOL

    public static final int EOL

See Also:
  Constant Field Values

### WS

    public static final int WS

See Also:
  Constant Field Values

### GREATER

    public static final int GREATER

See Also:
  Constant Field Values

### PN_CHARS_BASE

    public static final int PN_CHARS_BASE

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### PN_PREFIX

    public static final int PN_PREFIX

See Also:
  Constant Field Values

### LESS

    public static final int LESS

See Also:
  Constant Field Values

### PN_CHARS

    public static final int PN_CHARS

See Also:
  Constant Field Values

### PN_CHARS_U

    public static final int PN_CHARS_U

See Also:
  Constant Field Values

### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

### DOT

    public static final int DOT

See Also:
  Constant Field Values

### OPEN_CURLY_BRACE

    public static final int OPEN_CURLY_BRACE

See Also:
  Constant Field Values

### CLOSE_CURLY_BRACE

    public static final int CLOSE_CURLY_BRACE

See Also:
  Constant Field Values

### PREFIX_LIST

    public static final int PREFIX_LIST

See Also:
  Constant Field Values

### adaptor

    protected org.antlr.runtime.tree.TreeAdaptor adaptor

### FOLLOW_prefix_binding_in_oslc_prefixes75

    public static final org.antlr.runtime.BitSet FOLLOW_prefix_binding_in_oslc_prefixes75

### FOLLOW_COMMA_in_oslc_prefixes79

    public static final org.antlr.runtime.BitSet FOLLOW_COMMA_in_oslc_prefixes79

### FOLLOW_prefix_binding_in_oslc_prefixes81

    public static final org.antlr.runtime.BitSet FOLLOW_prefix_binding_in_oslc_prefixes81

### FOLLOW_PN_PREFIX_in_prefix_binding111

    public static final org.antlr.runtime.BitSet FOLLOW_PN_PREFIX_in_prefix_binding111

### FOLLOW_21_in_prefix_binding113

    public static final org.antlr.runtime.BitSet FOLLOW_21_in_prefix_binding113

### FOLLOW_IRI_REF_in_prefix_binding115

    public static final org.antlr.runtime.BitSet FOLLOW_IRI_REF_in_prefix_binding115

Constructor Detail

### OslcPrefixParser

    public OslcPrefixParser(org.antlr.runtime.TokenStream input)

### OslcPrefixParser

    public OslcPrefixParser(org.antlr.runtime.TokenStream input,
                            org.antlr.runtime.RecognizerSharedState state)

### OslcPrefixParser

    public OslcPrefixParser(String prefixes)

Method Detail

### setTreeAdaptor

    public void setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)

### getTreeAdaptor

    public org.antlr.runtime.tree.TreeAdaptor getTreeAdaptor()

### getTokenNames

    public String[] getTokenNames()

  Overrides:
    `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

### getGrammarFileName

    public String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### displayRecognitionError

    public void displayRecognitionError(String[] tokenNames,
                                        org.antlr.runtime.RecognitionException e)

  Overrides:
    `displayRecognitionError` in class `org.antlr.runtime.BaseRecognizer`

### getErrors

    public List<String> getErrors()

### oslc_prefixes

    public final OslcPrefixParser.oslc_prefixes_return oslc_prefixes()
                                                              throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### prefix_binding

    public final OslcPrefixParser.prefix_binding_return prefix_binding()
                                                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.